<?php
	
	$seo_enterprise_tp_theme_css = '';

	// 1st color
	$seo_enterprise_tp_color_option_first = get_theme_mod('seo_enterprise_tp_color_option_first', '#344CB7');
	if ($seo_enterprise_tp_color_option_first) {
		$seo_enterprise_tp_theme_css .= ':root {';
		$seo_enterprise_tp_theme_css .= '--color-primary1: ' . esc_attr($seo_enterprise_tp_color_option_first) . ';';
		$seo_enterprise_tp_theme_css .= '}';
	}

	// 2nd color
	$seo_enterprise_tp_color_option_second = get_theme_mod('seo_enterprise_tp_color_option_second', '#FF6029');
	if ($seo_enterprise_tp_color_option_second) {
		$seo_enterprise_tp_theme_css .= ':root {';
		$seo_enterprise_tp_theme_css .= '--color-primary2: ' . esc_attr($seo_enterprise_tp_color_option_second) . ';';
		$seo_enterprise_tp_theme_css .= '}';
	}

	// preloader
	$seo_enterprise_tp_preloader_color1_option = get_theme_mod('seo_enterprise_tp_preloader_color1_option');

	if($seo_enterprise_tp_preloader_color1_option != false){
	$seo_enterprise_tp_theme_css .='.center1{';
		$seo_enterprise_tp_theme_css .='border-color: '.esc_attr($seo_enterprise_tp_preloader_color1_option).' !important;';
	$seo_enterprise_tp_theme_css .='}';
	}
	if($seo_enterprise_tp_preloader_color1_option != false){
	$seo_enterprise_tp_theme_css .='.center1 .ring::before{';
		$seo_enterprise_tp_theme_css .='background: '.esc_attr($seo_enterprise_tp_preloader_color1_option).' !important;';
	$seo_enterprise_tp_theme_css .='}';
	}

	$seo_enterprise_tp_preloader_color2_option = get_theme_mod('seo_enterprise_tp_preloader_color2_option');

	if($seo_enterprise_tp_preloader_color2_option != false){
	$seo_enterprise_tp_theme_css .='.center2{';
		$seo_enterprise_tp_theme_css .='border-color: '.esc_attr($seo_enterprise_tp_preloader_color2_option).' !important;';
	$seo_enterprise_tp_theme_css .='}';
	}
	if($seo_enterprise_tp_preloader_color2_option != false){
	$seo_enterprise_tp_theme_css .='.center2 .ring::before{';
		$seo_enterprise_tp_theme_css .='background: '.esc_attr($seo_enterprise_tp_preloader_color2_option).' !important;';
	$seo_enterprise_tp_theme_css .='}';
	}

	$seo_enterprise_tp_preloader_bg_color_option = get_theme_mod('seo_enterprise_tp_preloader_bg_color_option');

	if($seo_enterprise_tp_preloader_bg_color_option != false){
	$seo_enterprise_tp_theme_css .='.loader{';
		$seo_enterprise_tp_theme_css .='background: '.esc_attr($seo_enterprise_tp_preloader_bg_color_option).';';
	$seo_enterprise_tp_theme_css .='}';
	}

	$seo_enterprise_tp_footer_bg_color_option = get_theme_mod('seo_enterprise_tp_footer_bg_color_option');


	if($seo_enterprise_tp_footer_bg_color_option != false){
	$seo_enterprise_tp_theme_css .='#footer{';
		$seo_enterprise_tp_theme_css .='background: '.esc_attr($seo_enterprise_tp_footer_bg_color_option).';';
	$seo_enterprise_tp_theme_css .='}';
	}

	// logo tagline color
	$seo_enterprise_site_tagline_color = get_theme_mod('seo_enterprise_site_tagline_color');

	if($seo_enterprise_site_tagline_color != false){
	$seo_enterprise_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$seo_enterprise_tp_theme_css .='color: '.esc_attr($seo_enterprise_site_tagline_color).';';
	$seo_enterprise_tp_theme_css .='}';
	}

	$seo_enterprise_logo_tagline_color = get_theme_mod('seo_enterprise_logo_tagline_color');
	if($seo_enterprise_logo_tagline_color != false){
	$seo_enterprise_tp_theme_css .='p.site-description{';
	$seo_enterprise_tp_theme_css .='color: '.esc_attr($seo_enterprise_logo_tagline_color).';';
	$seo_enterprise_tp_theme_css .='}';
	}

	// footer widget title color
	$seo_enterprise_footer_widget_title_color = get_theme_mod('seo_enterprise_footer_widget_title_color');
	if($seo_enterprise_footer_widget_title_color != false){
	$seo_enterprise_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$seo_enterprise_tp_theme_css .='color: '.esc_attr($seo_enterprise_footer_widget_title_color).';';
	$seo_enterprise_tp_theme_css .='}';
	}

	// copyright text color
	$seo_enterprise_footer_copyright_text_color = get_theme_mod('seo_enterprise_footer_copyright_text_color');
	if($seo_enterprise_footer_copyright_text_color != false){
	$seo_enterprise_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$seo_enterprise_tp_theme_css .='color: '.esc_attr($seo_enterprise_footer_copyright_text_color).'!important;';
	$seo_enterprise_tp_theme_css .='}';
	}

	// header image title color
	$seo_enterprise_header_image_title_text_color = get_theme_mod('seo_enterprise_header_image_title_text_color');
	if($seo_enterprise_header_image_title_text_color != false){
	$seo_enterprise_tp_theme_css .='.box-text h2{';
	$seo_enterprise_tp_theme_css .='color: '.esc_attr($seo_enterprise_header_image_title_text_color).';';
	$seo_enterprise_tp_theme_css .='}';
	}

	// menu color
	$seo_enterprise_menu_color = get_theme_mod('seo_enterprise_menu_color');
	if($seo_enterprise_menu_color != false){
	$seo_enterprise_tp_theme_css .='.main-navigation a{';
	$seo_enterprise_tp_theme_css .='color: '.esc_attr($seo_enterprise_menu_color).';';
	$seo_enterprise_tp_theme_css .='}';
}


//Footer Font Weight
$seo_enterprise_footer_copyright_title_font_weight = get_theme_mod( 'seo_enterprise_footer_copyright_title_font_weight','');
if($seo_enterprise_footer_copyright_title_font_weight == '100'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 100;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '200'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 200;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '300'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 300;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '400'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 400;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '500'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 500;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '600'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 600;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '700'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 700;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '800'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 800;';
$seo_enterprise_tp_theme_css .='}';
}else if($seo_enterprise_footer_copyright_title_font_weight == '900'){
$seo_enterprise_tp_theme_css .='#footer .site-info p {';
    $seo_enterprise_tp_theme_css .='font-weight: 900;';
$seo_enterprise_tp_theme_css .='}';
}